# Class TCLIService.Processor<I extends TCLIService.Iface>

java.lang.Object
org.apache.thrift.TBaseProcessor<I>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.Processor<I>

All Implemented Interfaces:
  `org.apache.thrift.TProcessor`

Enclosing class:
  `TCLIService`

public static class TCLIService.Processor<I extends TCLIService.Iface> extends org.apache.thrift.TBaseProcessor<I> implements org.apache.thrift.TProcessor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TCLIService.Processor.CancelDelegationToken<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.CancelOperation<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.CloseOperation<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.CloseSession<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.ExecuteStatement<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.FetchResults<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetCatalogs<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetColumns<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetCrossReference<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetDelegationToken<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetFunctions<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetInfo<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetOperationStatus<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetPrimaryKeys<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetResultSetMetadata<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetSchemas<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetTables<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetTableTypes<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.GetTypeInfo<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.OpenSession<I extends TCLIService.Iface>`
`static class`
`TCLIService.Processor.RenewDelegationToken<I extends TCLIService.Iface>`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`Processor(I iface)`
`protected`
`Processor(I iface, Map<String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)`

## Method Summary

### Methods inherited from class org.apache.thrift.TBaseProcessor

`getProcessMapView, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.thrift.TProcessor

`process`

## Constructor Details

### Processor

public Processor(I iface)

### Processor

protected Processor(I iface, Map<String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)